aboutsummaryrefslogtreecommitdiff
path: root/net/mail
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:27:47 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:27:47 +0000
commitc71aa0b9db01605d55878a17d0254fba0c28cce7 (patch)
treebf80323dcb7be36b5481886a251230d323fb52ce /net/mail
parentf05785e333ce5b9119f552a38edae554671b2fbc (diff)
downloadslackbuilds-c71aa0b9db01605d55878a17d0254fba0c28cce7.tar.gz
slackbuilds-c71aa0b9db01605d55878a17d0254fba0c28cce7.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@668 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/mail')
-rwxr-xr-xnet/mail/courier-imap/courier-imap.SlackBuild141
1 files changed, 141 insertions, 0 deletions
diff --git a/net/mail/courier-imap/courier-imap.SlackBuild b/net/mail/courier-imap/courier-imap.SlackBuild
new file mode 100755
index 00000000..1e1679a8
--- /dev/null
+++ b/net/mail/courier-imap/courier-imap.SlackBuild
@@ -0,0 +1,141 @@
+#!/bin/bash
+#
+# slackbuild script for clamav
+#
+
+cat << EOCAT
+You'll need to have following package installed:
+
+ courier-authlib
+
+EOCAT
+
+if [ "$INTERACT" != "no" ]; then
+ echo "Hit ENTER do continue, Crtl-C to abort"
+ read crap
+else
+ echo sleeping 3 seconds...
+ sleep 3
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="courier-imap"
+VERSION=${VERSION:=4.1.1}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+if [ "`whoami`" == "root" ]; then
+ echo This script should run as normal user.
+ exit 1
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+KEY="http://www.courier-mta.org/KEYS.bin"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/courier/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+fi
+
+if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
+ wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
+fi
+
+gpg --verify $SRC_DIR/$SRC.sig $SRC || echo WARNING: Could not check signature or WRONG signature found.
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$PACKAGE-$VERSION.tar.$PACKAGE_EXT
+cd $PACKAGE-$VERSION
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make check
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+courier-imap: courier-imap (A fast, scalable, enterprise IMAP server)
+courier-imap:
+courier-imap: Courier-IMAP is a lightweight server that provides IMAP access to
+courier-imap: maildir mailboxes. It supports folders, custom authentication
+courier-imap: modules, and virtual mailboxes. A compatible POP3 server is also
+courier-imap: provided. The source code is based on the IMAP module in the Courier
+courier-imap: Mail Server, but this build is independently repackaged to work with
+courier-imap: any other MTA that delivers to maildir format mailboxes.
+courier-imap:
+courier-imap:
+courier-imap:
+EOF
+
+# configs
+mv etc/pop3d.cnf etc/pop3d.cnf.new
+mv etc/imapd.cnf etc/imapd.cnf.new
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in 00README.NOW.OR.SUFFER AUTHORS COPYING ChangeLog INSTALL NEWS README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+echo We need to run makepkg as root.
+su -c "chown -R root.root . ; makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+